Skip to main content
GET
Entity search

Authorizations

x-api-key
string
header
required

Enter your API key

Path Parameters

collection
enum<string>
required

The collection to search (tickets, comments, accounts, customer_contacts, help_center, users, organization, teams)

Available options:
tickets,
comments,
accounts,
customer_contacts,
help_center,
users,
organization,
teams

Query Parameters

search_mode
enum<string>

Search mode - 'primary' for main search, 'fallback' for secondary search

Available options:
primary,
fallback
q
string
default:*

The search query

Example:

"*"

query_by
string
required

Fields to query by (comma separated)

Example:

"title,description"

streaming
boolean

Enable streaming of paginated results

Example:

false

filter_by
string

Filter by expression

Example:

"priorityName:=medium&&statusName:=resolved"

sort_by
string

Sort by expression

facet_by
string

Facet by fields (comma separated)

page
string

Page number

per_page
string

Results per page

Example:

"10"

cursor
string

Cursor for pagination

Example:

"01HQXYZ123456789"

direction
enum<string>

Navigation direction for cursor pagination

Available options:
forward,
backward,
first,
last
Example:

"forward"

group_by
string

Group by fields (comma separated)

group_limit
string

Group limit

include_fields
string

Fields to include in the response (comma separated)

Example:

"uid,title,statusName,createdAt,updatedAt,priorityName,ticketIdentifier"

exclude_fields
string

Exclude fields (comma separated)

Response

200 - application/json

Search result

result
object